## r-cran-epi 2.60

=== DESCRIPTION ===
Package: Epi
Version: 2.60
Date: 2025-06-30
Title: Statistical Analysis in Epidemiology
Authors@R: c(person("Bendix", "Carstensen", role = c("aut", "cre"),
                    email = "b@bxc.dk"),
             person("Martyn", "Plummer", role = "aut",
                    email = "Martyn.Plummer@warwick.ac.uk"),
             person("Esa", "Laara", role = "ctb"),
             person("Michael", "Hills", role = "ctb"))
Depends: R (>= 3.5.0), utils
Imports: cmprsk, etm, splines, MASS, survival, plyr, dplyr, Matrix,
        numDeriv, data.table, zoo, mgcv, magrittr
Suggests: mstate, nlme, lme4, demography, popEpi, tidyr
Description: Functions for demographic and epidemiological analysis in
  the Lexis diagram, i.e. register and cohort follow-up data. In
  particular representation, manipulation, rate estimation and
  simulation for multistate data - the Lexis suite of functions, which
  includes interfaces to 'mstate', 'etm' and 'cmprsk' packages.
  Contains functions for Age-Period-Cohort and Lee-Carter modeling and
  a function for interval censored data and some useful functions for
  tabulation and plotting, as well as a number of epidemiological data
  sets.
License: GPL-2
URL: http://bendixcarstensen.com/Epi/
NeedsCompilation: yes
Packaged: 2025-07-08 11:18:53 UTC; BCAR0029
Author: Bendix Carstensen [aut, cre],
  Martyn Plummer [aut],
  Esa Laara [ctb],
  Michael Hills [ctb]
Maintainer: Bendix Carstensen <b@bxc.dk>
Repository: CRAN
Date/Publication: 2025-07-08 12:00:07 UTC

=== debian/changelog ===
r-cran-epi (2.60-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove CDBS leftover

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 21:15:53 +0200

=== debian/control ===
Source: r-cran-epi
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cmprsk,
 r-cran-etm,
 r-cran-mass,
 r-cran-survival,
 r-cran-plyr,
 r-cran-dplyr,
 r-cran-matrix,
 r-cran-numderiv,
 r-cran-data.table,
 r-cran-zoo,
 r-cran-mgcv,
 r-cran-magrittr,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-epi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-epi.git
Homepage: https://cran.r-project.org/package=Epi
Rules-Requires-Root: no

Package: r-cran-epi
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R epidemiological analysis
 Functions for demographic and epidemiological analysis in the Lexis diagram,
 i.e. register and cohort follow-up data, including interval censored data and
 representation of multistate data. Also some useful functions for tabulation
 and plotting. Contains some epidemiological datasets.
 .
 The Epi package is mainly focused on "classical" chronic disease epidemiology.
 The package has grown out of the course Statistical Practice in Epidemiology
 using R (see http://www.pubhealth.ku.dk/~bxc/SPE).
 .
 There is A short introduction to R for Epidemiology available at
 http://staff.pubhealth.ku.dk/%7Ebxc/Epi/R-intro.pdf
 Beware that the pages 38-120 of this is merely the manual pages for the Epi
 package.
 .
 Epi is not the only R-package for epidemiological analysis, a package with
 more affinity to infectious disease epidemiology is the epitools package
 which is also evailable in Debian.
 .
 Epi is used in the Department of Biostatistics of the University of Copenhagen.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name fixall -exec chmod -x \{\} \;
	find debian -name kopi -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Epi_([-\d.]*)\.tar\.gz

## r-cran-epi 2.61

=== debian/changelog ===
r-cran-epi (2.61-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Jan 2026 16:22:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: r-cran-epi
-Standards-Version: 4.7.2
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders:
- Andreas Tille <tille@debian.org>,
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-r,
- r-base-dev,
- r-cran-cmprsk,
- r-cran-etm,
- r-cran-mass,
- r-cran-survival,
- r-cran-plyr,
- r-cran-dplyr,
- r-cran-matrix,
- r-cran-numderiv,
- r-cran-data.table,
- r-cran-zoo,
- r-cran-mgcv,
- r-cran-magrittr,
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cmprsk,
+               r-cran-etm,
+               r-cran-mass,
+               r-cran-survival,
+               r-cran-plyr,
+               r-cran-dplyr,
+               r-cran-matrix,
+               r-cran-numderiv,
+               r-cran-data.table,
+               r-cran-zoo,
+               r-cran-mgcv,
+               r-cran-magrittr,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-epi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-epi.git
 Homepage: https://cran.r-project.org/package=Epi
@@ -29,14 +29,11 @@
 
 Package: r-cran-epi
 Architecture: any
-Depends:
- ${R:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
-Recommends:
- ${R:Recommends},
-Suggests:
- ${R:Suggests},
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R epidemiological analysis
  Functions for demographic and epidemiological analysis in the Lexis diagram,
  i.e. register and cohort follow-up data, including interval censored data and
